const QuickChart = require('../index');
const { data } = require('./testdata');

const qc = new QuickChart();

qc.setConfig({
  type: 'line',
  data: {
    datasets: [
      {
        label: 'Sales',
        fill: false,
        radius: 0,
        data: data,
      },
    ],
  },
  options: {
    scales: {
      xAxes: [
        {
          type: 'time',
          time: {
            parser: 'MM/DD/YYYY HH:mm',
          },
          scaleLabel: {
            display: true,
            labelString: 'Date',
          },
          gridLines: {
            color: 'rgba(255, 255, 255, 0.25)',
            display: true,
          },
        },
      ],
      yAxes: [
        {
          scaleLabel: {
            display: true,
            labelString: 'Price',
          },
          ticks: {
            callback: (val) => {
              return '$' + val.toString();
            },
          },
          gridLines: {
            color: 'rgba(255, 255, 255, 0.25)',
            display: true,
          },
        },
      ],
    },
  },
});
qc.setBackgroundColor('#23272a');
qc.setWidth(900).setHeight(500);

(async () => {
  console.log(await qc.getShortUrl());
})();
